Last Comment Bug 540974 - [Mac classic] On received messages, if too many attachments, scroll bar works but is not visible
: [Mac classic] On received messages, if too many attachments, scroll bar works...
Status: VERIFIED FIXED
: fixed-seamonkey2.0.5
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: All Mac OS X
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Stefan [:stefanh] (away until December 6)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-20 16:10 PST by Luke Odom
Modified: 2010-07-10 17:28 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot (222.91 KB, image/tiff)
2010-01-20 16:13 PST, Luke Odom
no flags Details
Make scrollbar visible (904 bytes, patch)
2010-02-22 13:11 PST, Stefan [:stefanh] (away until December 6)
mnyromyr: review+
neil: superreview-
Details | Diff | Splinter Review
screenshot (16.24 KB, image/png)
2010-03-29 11:04 PDT, Stefan [:stefanh] (away until December 6)
no flags Details
new version (592 bytes, patch)
2010-03-29 13:28 PDT, Stefan [:stefanh] (away until December 6)
neil: superreview+
iann_bugzilla: approval‑seamonkey2.0.5+
Details | Diff | Splinter Review

Description Luke Odom 2010-01-20 16:10:02 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.5; en-US; rv:1.9.1.7) Gecko/20100105 Lightning/1.0b1 SeaMonkey/2.0.2
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.5; en-US; rv:1.9.1.7) Gecko/20100105 Lightning/1.0b1 SeaMonkey/2.0.2

On received messages, if too many attachments, scroll bar works but is not visible 

Reproducible: Always

Steps to Reproduce:
1. Receive message with multiple attachments.
2. Open message either in message pane or own windows.
3. Click scroll bars to scroll through attachments.
Actual Results:  
Scrolling works if you click where the scroll bar should be but the scroll bar is not visible at all.

Expected Results:  
Click on visible scroll bar to scroll through attachments.

Using default theme.
Comment 1 Luke Odom 2010-01-20 16:13:31 PST
Created attachment 422652 [details]
Screenshot

If you click on the bottom of the silver bar to the right of the attachments it scrolls.
Comment 2 Luke Odom 2010-01-20 19:18:00 PST
I switched to SeaMonkey modern theme and the scroll bars appear as expected.
Comment 3 Stefan [:stefanh] (away until December 6) 2010-02-01 15:15:34 PST
I see this in 2.0.2 (and it probably happens on trunk too). I guess the native mac scrollbar could have some kind of minimum height, because it works when I add the attachments.
Comment 4 Markus Stange [:mstange] 2010-02-21 11:29:02 PST
nsNativeThemeCocoa.mm has #define MIN_SCROLLBAR_SIZE 56
and the list in the screenshot is 54px high. So maybe the easiest fix is just to set min-height: 56px on it.
Comment 5 Stefan [:stefanh] (away until December 6) 2010-02-22 13:11:44 PST
Created attachment 428277 [details] [diff] [review]
Make scrollbar visible

Thanks Markus, yeah that would be the easiest fix ;-)

I did had to set a min-height of 58px and then a min-height on the header itself - otherwise you'll get a scrollbar for the header. Hmm, those headers needs love. I guess this is OK for a branch fix, but on trunk we should do an overhaul of those rules.
Comment 6 Karsten Düsterloh 2010-03-28 15:00:23 PDT
Comment on attachment 428277 [details] [diff] [review]
Make scrollbar visible

Looks sensible.
Comment 7 Stefan [:stefanh] (away until December 6) 2010-03-29 08:04:36 PDT
Comment on attachment 428277 [details] [diff] [review]
Make scrollbar visible

Neil, I guess you might want to look at this.
Comment 8 neil@parkwaycc.co.uk 2010-03-29 09:07:45 PDT
(In reply to comment #5)
> I did had to set a min-height of 58px and then a min-height on the header
> itself - otherwise you'll get a scrollbar for the header.
Can you explain this please (screenshot perhaps?)
Comment 9 Stefan [:stefanh] (away until December 6) 2010-03-29 11:04:08 PDT
Created attachment 435661 [details]
screenshot

First row is without the patch, third image is with the patch, but without the min-height on the header. I now realize that I could probably set a min-height on the expandedAttachmentList instead (82px, 1px more than the calc. height).
Comment 10 neil@parkwaycc.co.uk 2010-03-29 13:15:45 PDT
Comment on attachment 428277 [details] [diff] [review]
Make scrollbar visible

>+#expandedHeaderView {
>+  min-height: 84px;
This can't be right, since it overrides the height even when there are no attachments. At the very least you should put the min-height on the expandedAttachmentBox, but at least in Modern I can't get any random heights (below 14em, of course) to cause the expandedHeaderView to scroll, so there's still something wacky going on somewhere...
Comment 11 Stefan [:stefanh] (away until December 6) 2010-03-29 13:28:02 PDT
Created attachment 435702 [details] [diff] [review]
new version

Turns out that the native listbox causes the scrollbar - setting -moz-appearance: none, makes the extra scrollbar go away. The listbox looks quite bad, though. Anyway, here's a new version that set 0 top/bottom margin on the listbox - that works too.
Comment 12 Stefan [:stefanh] (away until December 6) 2010-03-30 11:57:40 PDT
Comment on attachment 435702 [details] [diff] [review]
new version

I think we should take this on branch - it's a safe theme tweak that improves usability.
Comment 14 Luke Odom 2010-07-10 17:28:20 PDT
I just checked with 2.0.5 and it works. Scrollbar rendered as expected. Thanks for all the hard work guys!

Note You need to log in before you can comment on or make changes to this bug.